#include "MaskPyramid.h"

MaskPyramid::MaskPyramid(void)
{
	m_nLevels=0;	
}

MaskPyramid::~MaskPyramid(void)
{
}

void MaskPyramid::GenerateMask(const BinaryImage &mask, int nLevels)
{
	m_MaskList=QList<DImage>::fromVector(QVector<DImage>(nLevels));
	m_nLevels=nLevels;
	mask.export2Image(m_MaskList[0]);

	for(int i=1;i<nLevels;i++)
	{
		DImage gfiltered;
		m_MaskList[i-1].GaussianSmoothing(gfiltered,0.7,2);
		gfiltered.imresize(m_MaskList[i],0.5);
	}
}