#include <QtGui>
#include "MyPreference.h"


double MyPreference::DefaultContourDistance=100000;
double MyPreference::Threshold_ContourDistance=5;
double MyPreference::Threshold_PointDistance=7;
double MyPreference::Threshold_LineDistance=5;
double MyPreference::Threshold_CentroidDistance=5;
double MyPreference::Threshold_BoundingBox=5;
double MyPreference::Threshold_OccludingAreaRatio=0.07;
double MyPreference::Threshold_MaxTrackingVelocity=40;
double MyPreference::Threshold_MaxTrackingAcceleration=20;
double MyPreference::Threshold_StrokePointDistance=6;

QString MyPreference::DefaultLayerName="Unknown";
int MyPreference::nPyrdLevels=5;

//default stroke preferences
int MyPreference::minStrokeLength=5;
int MyPreference::maxStrokeLength=10;
int MyPreference::startStrokeWidth=5;
int MyPreference::endStrokeWidth=5;
bool MyPreference::useImageColor=true;
bool MyPreference::isGuideStroke=true;
bool MyPreference::paintOccludedRegions=true;
bool MyPreference::startInOccludedRegions=true;
bool MyPreference::fillEmptyRegions=false;
bool MyPreference::fillColorDifference=false;
bool MyPreference::reverseDirections=false;
float MyPreference::strokeDensity=0.1;
int MyPreference::magnitudeThreshold=500;
double MyPreference::Threshold_ColorDifference=1;
double MyPreference::Threshold_Edge=0.05;

float MyPreference::rightColorWidth = 200;
float MyPreference::leftColorWidth = 20;
float MyPreference::rightColorAlpha = 1;
float MyPreference::leftColorAlpha = 1;

//Stroke orientation
int MyPreference::fixedOrientationFactor=0;
int MyPreference::boundaryFactor=0;
int MyPreference::imageGradientFactor=5;
int MyPreference::userStrokesFactor=2;

double MyPreference::fixedMovementRate=5;
int MyPreference::fadeRate=5;
int MyPreference::minStrokeScale = 5;
int MyPreference::maxStrokeScale = 5;
int MyPreference::fillFramesForward=10;
int MyPreference::fillFramesBackward=0;
int MyPreference::maxFrames=1000;
int MyPreference::minFrames=5;
int MyPreference::maxStrokes=500;
double MyPreference::colorUpdate=0.3;
double MyPreference::followStrokesFactor=4;
double MyPreference::followGradientFactor=1;
double MyPreference::followFlowFactor=0;

double MyPreference::orientationFactor=5;
double MyPreference::coherenceFactor=0.5;
double MyPreference::rigidityFactor=0.05;
double MyPreference::colorFactor=10;
double MyPreference::densityFactor=0;

int MyPreference::maxAngle=8;
int MyPreference::maxStrokeAngle=60;
bool MyPreference::addVisibleToStrokeLayer=false;
//double MyPreference::misc1=0;
//double MyPreference::misc2=0.5;
//double MyPreference::misc3=2;
//double MyPreference::misc4=0;
bool MyPreference::optimizeStrokes=true;

bool MyPreference::optimizeStrokeWidths=false;
double MyPreference::oswColorFactor=0;
double MyPreference::oswCoherenceFactor=0.1;
double MyPreference::oswRegularizationFactor=0.05;
double MyPreference::oswGrowFactor=2;
double MyPreference::oswEdgeFactor=5;

double MyPreference::coherenceAngleSigma=30;
double MyPreference::rigidityAngleSigma=25;


double MyPreference::magWeight=20;
double MyPreference::distWeight=5;

double MyPreference::boundaryBlur =0;
double MyPreference::radiusFactor = 0.6;

MyPreference::MyPreference(void)
{
}

MyPreference::~MyPreference(void)
{
}
