
#ifndef _Randn_h
#define _Randn_h

#include "math.h"
#include "stdio.h"

//#define truncNormal(mean, std,lowerBound,upperBound) min(max(normal((double)mean,(double)std),lowerBound),upperBound)

double normal(const double &mean, const double &std)
{
  double pii=3.1415927;
  double r_max=RAND_MAX;
  double randVal = rand();
  double firstTerm = (randVal+1)/r_max;
  double secondTerm = 2*pii*randVal/r_max;

 // (std*sqrt(-2*log((rand()+1)/r_max))*sin(2*pii*rand()/r_max))+mean;
  return (std*sqrt(-2*log(firstTerm))*sin(secondTerm))+mean;
}


double truncNormal(const double &mean, const double &std,const double &lowerBound,const double &upperBound)
{
	double n= normal(mean,std);
	//printf("found n %f\n", n);

	if (n < lowerBound) 
		n =lowerBound;

	if (n > upperBound) 
		n = upperBound;

	//printf("truncated n %f\n", n);

	return n;
}

#endif
	
