TEMPLATE = app
HEADERS += MagViewer.h \
    StrokeLayerProperties.h \
    tri_logger.hpp
HEADERS += LinearSystem.h
HEADERS += MainWindow.h
HEADERS += LayerObject.h
HEADERS += MaskPyramid.h
HEADERS += LayerDepth.h
HEADERS += Matrix.h
HEADERS += jl_vectors.h
HEADERS += Motion.h
HEADERS += IntegerImage.h
HEADERS += motiongroundtruth.h
HEADERS += Inspector.h
HEADERS += MotionPara.h
HEADERS += ImPyramid.h
HEADERS += MyPreference.h
HEADERS += ImageViewer.h
HEADERS += OpticalFlow.h
HEADERS += ImageProcessing.h
HEADERS += OpticalFlowBidir.h
HEADERS += ImageMatching.h
HEADERS += PaintOptions.h
HEADERS += ImageIO.h
HEADERS += ParameterDelegate.h
HEADERS += Point.h
HEADERS += project.h
HEADERS += Image.h
HEADERS += PyrdPatchSet.h
HEADERS += GLWidget.h
HEADERS += GaussianPyramid.h
HEADERS += QVideoProcessing.h
HEADERS += Randn.h
HEADERS += FlowInterpolation.h
HEADERS += ReduceFrameRange.h
HEADERS += SortQueue.h
HEADERS += FlowFieldViewer.h
HEADERS += Stochastic.h
HEADERS += FlowField.h
HEADERS += Stroke.h
HEADERS += emboss.h
HEADERS += StrokePainter.h
HEADERS += StrokePoint.h
HEADERS += DepthPlot.h
HEADERS += StrokeProperties.h
HEADERS += DepthControl.h
HEADERS += Correspondence.h
HEADERS += ContourTracking.h
HEADERS += Vector.h
HEADERS += ContourLabel.h
HEADERS += VideoLabeling.h
HEADERS += BinaryImage.h
HEADERS += VideoSequence.h
HEADERS += XmlWriter.h
SOURCES += XmlWriter.cpp \
    tri_logger.cpp \
    StrokeLayerProperties.cpp
SOURCES += BinaryImage.cpp
SOURCES += VideoSequence.cpp
SOURCES += ContourLabel.cpp
SOURCES += VideoLabeling.cpp
SOURCES += ContourTracking.cpp
SOURCES += Vector.cpp
SOURCES += Correspondence.cpp
SOURCES += DepthControl.cpp
SOURCES += DepthPlot.cpp
SOURCES += StrokeProperties.cpp
SOURCES += emboss.cpp
SOURCES += StrokePainter.cpp
SOURCES += FlowField.cpp
SOURCES += Stroke.cpp
SOURCES += FlowFieldViewer.cpp
SOURCES += Stochastic.cpp
SOURCES += FlowInterpolation.cpp
SOURCES += ReduceFrameRange.cpp
SOURCES += GaussianPyramid.cpp
SOURCES += QVideoProcessing.cpp
SOURCES += GLWidget.cpp
SOURCES += PyrdPatchSet.cpp
SOURCES += ParameterDelegate.cpp
SOURCES += ImageMatching.cpp
SOURCES += PaintOptions.cpp
SOURCES += OpticalFlowBidir.cpp
SOURCES += ImageViewer.cpp
SOURCES += OpticalFlow.cpp
SOURCES += ImPyramid.cpp
SOURCES += MyPreference.cpp
SOURCES += Inspector.cpp
SOURCES += MotionPara.cpp
SOURCES += IntegerImage.cpp
SOURCES += motiongroundtruth.cpp
SOURCES += Motion.cpp
SOURCES += LayerDepth.cpp
SOURCES += Matrix.cpp
SOURCES += LayerObject.cpp
SOURCES += MaskPyramid.cpp
SOURCES += LinearSystem.cpp
SOURCES += MainWindow.cpp
SOURCES += MagViewer.cpp
SOURCES += main.cpp
QMAKE_CXXFLAGS += -fpermissive
DEFINES += QT_DLL
CONFIG += qt \
    warn_on \
    release \
    console
QT += core \
    gui \
    xml \
    opengl
win32:INCLUDEPATH += C:\glew\include
win32:INCLUDEPATH += C:\odonovan\ann_1.1.1\include
win32:INCLUDEPATH += "C:\Program Files\Microsoft Visual Studio 9.0\VC\include"
win32:LIBS += C:\glew\lib\glew.lib
win32:LIBS += C:\odonovan\ann_1.1.1\lib\ann.lib
win32:LIBS += "C:\Program Files\Microsoft Visual Studio 9.0\VC\lib\glut.lib"
unix:INCLUDEPATH += /Developer/CUDA/common/inc/
unix:INCLUDEPATH += /Developer/SDKs/MacOSX10.5.sdk/usr/X11/include/
unix:INCLUDEPATH += /Users/donovan/ann_1.1.1/include
unix:LIBS += -L/Developer/CUDA/common/lib/darwin
unix:LIBS += -lGLEW
unix:LIBS += -L/Users/donovan/ann_1.1.1/lib \
    -lANN
RESOURCES += application.qrc
